You are not logged in.

#1 2007-08-10 21:21:41

yarjar
Member
From: Madison, WI
Registered: 2004-05-29
Posts: 37

[SOLVED] pycairo-1.4.0 prevents programs from starting up.

I have noticed this problem with nicotine and deluge.  When attempting to start up either one, I get the same error, as shown below.  After I force a downgrade to pycairo-1.2.2 from my archives, the programs start up and run fine.  I am very confused...

[tom@furstation3 ~]$ deluge
Traceback (most recent call last):
  File "/usr/bin/deluge", line 61, in <module>
    import deluge.interface
  File "/usr/lib/python2.5/site-packages/deluge/interface.py", line 41, in <module>
    import gtk
  File "/usr/lib/python2.5/site-packages/PIL/__init__.py", line 48, in <module>
    
  File "/usr/lib/python2.5/site-packages/cairo/__init__.py", line 1, in <module>
    from _cairo import *
ImportError: /usr/lib/python2.5/site-packages/cairo/_cairo.so: undefined symbol: cairo_get_scaled_font
[tom@furstation3 ~]$ nicotine
Traceback (most recent call last):
  File "/usr/bin/nicotine", line 152, in <module>
    result = checkenv()
  File "/usr/bin/nicotine", line 73, in checkenv
    import gtk
  File "/usr/lib/python2.5/site-packages/PIL/__init__.py", line 48, in <module>
    
  File "/usr/lib/python2.5/site-packages/cairo/__init__.py", line 1, in <module>
    from _cairo import *
ImportError: /usr/lib/python2.5/site-packages/cairo/_cairo.so: undefined symbol: cairo_get_scaled_font

Last edited by yarjar (2007-08-14 12:41:21)

Offline

#2 2007-08-13 11:39:28

JGC
Developer
Registered: 2003-12-03
Posts: 1,663

Re: [SOLVED] pycairo-1.4.0 prevents programs from starting up.

Update cairo to the version in current instead of your local compiled outdated git snapshot.

Offline

#3 2007-08-14 12:40:48

yarjar
Member
From: Madison, WI
Registered: 2004-05-29
Posts: 37

Re: [SOLVED] pycairo-1.4.0 prevents programs from starting up.

Thank you!  Worked perfectly.

Offline

Board footer

Powered by FluxBB